## org.eclipse.ocl.cst
Interface CollectionLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS

All Known Implementing Classes:
  CollectionLiteralExpCSImpl

    public interface CollectionLiteralExpCS

extends LiteralExpCS

A representation of the model object 'Collection Literal Exp CS'.

The following features are supported:

- `Collection Type`
- `Collection Literal Parts`

See Also:
  `CSTPackage.getCollectionLiteralExpCS()`

Method Summary
`EList<CollectionLiteralPartCS>` `getCollectionLiteralParts()` Returns the value of the 'Collection Literal Parts' containment reference list.
`CollectionTypeIdentifierEnum` `getCollectionType()` Returns the value of the 'Collection Type' attribute.
`void` `setCollectionType(CollectionTypeIdentifierEnum value)` Sets the value of the '`Collection Type`' attribute

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCollectionType

    CollectionTypeIdentifierEnum getCollectionType()

  Returns the value of the 'Collection Type' attribute. The literals are from the enumeration `CollectionTypeIdentifierEnum`.

  If the meaning of the 'Collection Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collection Type' attribute.
  See Also:
    `CollectionTypeIdentifierEnum`, `setCollectionType(CollectionTypeIdentifierEnum)`, `CSTPackage.getCollectionLiteralExpCS_CollectionType()`

### setCollectionType

    void setCollectionType(CollectionTypeIdentifierEnum value)

  Sets the value of the '`Collection Type`' attribute.

  Parameters:
    `value` - the new value of the 'Collection Type' attribute.
  See Also:
    `CollectionTypeIdentifierEnum`, `getCollectionType()`

### getCollectionLiteralParts

    EList<CollectionLiteralPartCS> getCollectionLiteralParts()

  Returns the value of the 'Collection Literal Parts' containment reference list. The list contents are of type `CollectionLiteralPartCS`.

  If the meaning of the 'Collection Literal Parts' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collection Literal Parts' containment reference list.
  See Also:
    `CSTPackage.getCollectionLiteralExpCS_CollectionLiteralParts()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.